<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ url_for('static',filename='css/style.css') }}">
    <title>Formulario de Tareas</title>
</head>
<body>
    
    <form action="/update/{{cards['id']}}" method="post" class="p-3 col-4 mx-auto my-5 bg-dark text-light">
        <h2 class="text-center text-primary">{{cards['name']}}</h2>
        {% with messages = get_flashed_messages() %}
            {% if messages %}
            <div class="alert alert-danger" role="alert">
                <strong>Flash Ahhhh!!!!</strong>
                    {% for message in messages %}
                    <p>{{message}}</p>
                    {% endfor %}
            </div>
            {% endif %}
        {% endwith %}
        <div class="form-group">
            <label for="name">Tarea:</label>
            <input type="text" name="name" id="name" class="form-control" value="{{cards['name']}}">
        </div>
        <div class="form-group">
            <label for="observation">Observaciones:</label>
            <input type="text" name="observation" id="observation" class="form-control" value="{{cards['observation']}}">
        </div>
        
        <div class="form-group">
            <label for="difficulty">Dificultad:</label>
            <input type="number" min="0" name="difficulty" id="difficulty" class="form-control" value="{{cards['difficulty']}}">
        </div>
        <div class="form-group my-3">
            <select name="developer_id" class="form-select">
                
                {% for developer in developers %}
                    <option value={{developer.id}}>{{developer.name}}</option>
                {% endfor %}
            </select>
        </div>
        <input type="submit" value="Actualizar Tarea" class="btn btn-primary btn-outline-dark">
    </form>
</body>
</html>